---
lang: en
title: 'API docs: context.invocationsource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.invocationsource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InvocationSource](./context.invocationsource.md)

## InvocationSource interface

An interface to represent the caller of the invocation

<b>Signature:</b>

```typescript
export interface InvocationSource<T = unknown> 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [type](./context.invocationsource.type.md) | string | Type of the invoker, such as <code>proxy</code> and <code>route</code> |
|  [value](./context.invocationsource.value.md) | T | Metadata for the source, such as <code>ResolutionSession</code> |


